@charset "UTF-8";
:root {
    --FontI: "Zen Antique Soft", sans-serif;
    --FontII: "Zen Kaku Gothic New", sans-serif;
    --FontIII: "Playfair Display", sans-serif;
    --ColorI: #ff943c;
    --ColorII: rgba(0, 0, 0, 0.8);
}
html {
    font-size: 100%;
}
body {
    font-family: var(--FontII);
    font-weight: 400;
    background-color: #ffffff;
    background-image: url("../img/logo.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 90%;
    background-attachment: fixed;
    color: #000000;
    user-select: none;
}
img {
    max-width: 100%;
    height: auto;
    vertical-align: bottom;
}
li {
    list-style: none;
}
a {
    text-decoration: none;
    transition: all 0.3s ease;
}
a:hover {
    opacity: 0.7;
}
p {
    color: #fff;
    cursor: default;
}
h2 {
    color: #fff;
    cursor: default;
}
iframe {
    vertical-align: bottom;
}
main {
    padding-top: 80px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}
.wrapper {
    opacity: 0;
    transform: translateY(30px);
    transition: all 1s ease;
    margin-bottom: 30px;
}
.wrapper.show {
    opacity: 1;
    transform: translateY(0);
}
.spacer {
    display: block;
    height: 25px;
}
#header {
    width: 100%;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 80px 0 40px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    background-color: #fff;
}
#header .logo-wrapper {
    display: flex;
    align-items: center;
}
#header .logo {
    width: 80%;
    max-width: 80px;
    height: auto;
    line-height: 0;
}
#header .logo-text {
    font-family: var(--FontI);
    font-size: 20px;
    margin-left: 10px;
    line-height: 1.2;
    flex-shrink: 0;
    color: #ff943c;
}
#header .logo a {
    display: flex;
    align-items: center;
    width: 100%;
}
#header .logo img{
    width: 80px;
    height: auto;
    flex-shrink: 0;
}
#header .navi .menu {
    display: flex;
    align-items: center;
}
#header .navi .menu li {
    font-family: var(--FontIII);
    font-size: 19px;
    margin-left: 50px;
}
#header .navi a {
    color: #000;
}
#header .mask {
    display: none;
}
#page-top {
    position: fixed;
    bottom: 25px;
    right: 25px;
    line-height: 1;
    font-size: 14px;
    z-index: 99;
}
#page-top a {
    background-color: rgba(255, 148, 60, 0.8);
    color: #fff;
    width: 60px;
    padding: 23px 0;
    text-align: center;
    display: block;
    border-radius: 90px;
    transition: all 0.3s ease;
}
#page-top a:hover {
    opacity: 1;
}
#footer {
    background-color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    position: relative;
}
#footer .catchcopy p {
    font-family: var(--FontI);
    font-size: 35px;
    color: #000;
}
#footer .follow {
    margin-bottom: 10px;
}
#footer .follow p {
    color: #000;
    font-size: 25px;
    font-family: var(--FontIII);
    user-select: text;
}
#footer .links .sns{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}
#footer .sns li a img {
    max-width: 50px;
    height: auto;
    margin: 10px 10px 20px;
}
#footer .policy {
    position: absolute;
    right: 0;
    bottom: 0;
}
#footer .policy a p {
    color: #000;
    cursor: pointer;
}
::-webkit-scrollbar {
    width: 8px;
}
::-webkit-scrollbar-thumb {
    background-color: var(--ColorI);
    border-radius: 4px;
}
@media screen and (max-width: 1024px) {
    #header .logo {
        max-width: 80px;
    }
    #header .hamburger {
        width: 60px;
        height: 60px;
        background-color: #000;
        border-radius: 10px;
        cursor: pointer;
        position: fixed;
        top: 10px;
        right: 30px;
        z-index: 51;
    }
    #header .hamburger span {
        width: 30px;
        height: 2px;
        background-color: #fff;
        border-radius: 1px;
        display: inline-block;
        position: absolute;
        left: 15px;
        transition: all 0.4s;
    }
    #header .hamburger span:nth-of-type(1) {
        top: 18px;
    }
    #header .hamburger span:nth-of-type(2) {
        top: 29px;
    }
    #header .hamburger span:nth-of-type(3) {
        top: 40px;
    }
    #header .hamburger.active span:nth-of-type(1) {
        top: 30px;
        transform: rotate(-45deg);
    }
    #header .hamburger.active span:nth-of-type(2) {
        opacity: 0;
    }
    #header .hamburger.active span:nth-of-type(3) {
        top: 30px;
        transform: rotate(45deg);
    }
    #header .navi {
        width: 35%;
        height: 100vh;
        background-color: var(--ColorI);
        position: fixed;
        top: 0;
        right: -120%;
        z-index: 50;
        transition: all 0.6s;
    }
    #header .navi.active {
        right: 0;
    }
    #header .navi .menu {
        width: 100%;
        height: 100vh;
        flex-direction: column;
        padding: 60px 0;
        overflow: auto;
    }
    #header .navi .menu li {
        padding: 30px 0;
        margin: 0;
    }
    #header .navi .menu li a {
        color: #000000;
    }
    #header .mask.active {
        display: block;
        width: 100%;
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.5);
        position: fixed;
        top: 0;
        left: 0;
        z-index: 19;
    }
    #page-top {
        right: 25px;
        font-size: 14px;
        transition: all 0.4s ease;
    }
    #page-top.active {
        opacity: 0;
        pointer-events: none;
        cursor: default;
        transition: 0.4s ease;
    }
}
@media screen and (max-width: 767px) {
    #header {
        padding: 0 20px;
    }
    #header .hamburger {
        right: 20px;
    }
    #header .navi {
        width: 100%;
    }
    #page-top {
        right: 15px;
        bottom: 100px;
    }
    #page-top a {
        width: 60px;
        padding: 23px 0;
    }
    #footer .catchcopy p {
        font-size: 25px;
    }
    #footer .follow p {
        font-size: 20px;
    }
    #footer .sns li a img {
        margin: 10px 10px 40px;
    }
}
